> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get permission groups

> Get details about all permission groups in organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/permission/getPermissionGroups
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/permission/getPermissionGroups:
    post:
      tags:
        - Permission Webservice
      summary: Get permission groups
      description: Get details about all permission groups in organization
      operationId: getPermissionGroups
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Permission_GetPermissionGroupsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Permission_GetPermissionGroupsWSResponse'
          description: OK
components:
  schemas:
    Permission_GetPermissionGroupsWSRequest:
      type: object
      description: Request object for getting all permission groups in the organization.
    Permission_GetPermissionGroupsWSResponse:
      type: object
      description: >-
        Response object containing permission groups and membership information
        for the organization.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        groupMembership:
          type: object
          additionalProperties:
            type: array
            description: Map of permission group UUIDs to list of user UUIDs in each group
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          description: Map of permission group UUIDs to list of user UUIDs in each group
          nullable: true
        partnerMembership:
          type: object
          additionalProperties:
            type: array
            description: >-
              Map of partner UUIDs to list of user UUIDs in each partner
              organization
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          description: >-
            Map of partner UUIDs to list of user UUIDs in each partner
            organization
          nullable: true
        permissionGroups:
          type: array
          description: List of permission groups in the organization
          items:
            $ref: '#/components/schemas/UserPermissionGroupType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    UserPermissionGroupType:
      type: object
      description: Updated permission group configuration
      properties:
        accessControlLocationAccessMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PermissionEnum'
          nullable: true
        accessibleLocations:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        assignablePermissionGroups:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        componentCompositeGranularAccessMap:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              $ref: '#/components/schemas/PermissionEnum'
            nullable: true
          nullable: true
        defaultAccessControlPermissionForNewLocations:
          $ref: '#/components/schemas/PermissionEnum'
        defaultPermissionForNewLocations:
          $ref: '#/components/schemas/PermissionEnum'
        description:
          type: string
          nullable: true
        deviceAccessMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PermissionEnum'
          nullable: true
        functionalityList:
          type: array
          items:
            $ref: '#/components/schemas/FunctionalityEnum'
          nullable: true
        inLine:
          type: boolean
          nullable: true
        installer:
          type: boolean
          nullable: true
        locationAccessMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PermissionEnum'
          nullable: true
        locationGranularAccessMap:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              $ref: '#/components/schemas/PermissionEnum'
            nullable: true
          nullable: true
        mutable:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        storedInS3:
          type: boolean
          nullable: true
        superAdmin:
          type: boolean
          nullable: true
        userPermissionGroupAccessMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PermissionEnum'
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    PermissionEnum:
      type: string
      enum:
        - READONLY
        - ADMIN
        - LIVEONLY
    FunctionalityEnum:
      type: string
      enum:
        - DEVICE_ADMINISTRATION
        - ORG_ADMINISTRATION
        - AUTH_ADMINISTRATION
        - FIRMWARE_ADMINISTRATION
        - DOOR_ACCESS_ADMINISTRATION
        - CAMERA_ADMINISTRATION
        - REGISTER_DEVICES
        - DELETE_DEVICES
        - LOCATION_ADMINISTRATION
        - POLICY_ADMINISTRATION
        - USER_ADMINISTRATION
        - REPORT_ADMINISTRATION
        - NOTIFICATION_ADMINISTRATION
        - LICENSE_ADMINISTRATION
        - RECEIVE_EMAILS
        - MANAGE_FACES
        - MANAGE_LICENSEPLATES
        - API_ADMINISTRATION
        - INTEGRATION_ADMINISTRATION
        - DATA_EXFILTRATION
        - ALERT_MONITORING_ADMINISTRATION
        - ALERT_MONITORING_VIEWONLY
        - GUEST_MANAGEMENT_ADMINISTRATION
        - GUEST_MANAGEMENT_VIEWONLY
        - CLIP_MANAGEMENT
        - VIEW_SAVED_VIDEO
        - VIEW_AND_MANAGE_SAVED_VIDEO
        - CLLM_ADMINISTRATION
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````